1

I am using polkadot from polkadot-sdk github repo and from this article to Simulate parachains in a test network, it says to checkout latest release of polkadot which might be git checkout release-v1.0.0 but I can't do that from polkadot-sdk,

ganesholi@Ganeshs-MacBook-Air polkadot-sdk % git checkout release-v1.0.0
error: pathspec 'release-v1.0.0' did not match any file(s) known to git
ganesholi@Ganeshs-MacBook-Air polkadot-sdk % cd polkadot 
ganesholi@Ganeshs-MacBook-Air polkadot % git checkout release-v1.0.0
error: pathspec 'release-v1.0.0' did not match any file(s) known to git
ganesholi@Ganeshs-MacBook-Air polkadot % 

also using latest zombienet-macos v1.3.66

enter image description here

and I think because of not using latest release of polkadot I am getting this error,

Error    fetching metrics from: http://127.0.0.1:53031/metrics

Error    fetching metrics from: http://127.0.0.1:53027/metrics

     Error:  
         Timeout(300), "getting desired metric value 1 within 300 secs".


     Error:  
         Timeout(300), "getting desired metric value 1 within 300 secs".


     Error:  
         Timeout(300), "getting desired metric value 1 within 300 secs".


     Error:  
         Timeout(300), "getting desired metric value 1 within 300 secs".

Error:       Error: At least one of the nodes fails to start

undefined
┌────────────────────┬────────────────────────────────────────────────────────────────────────────────────────────────────┐
│ Node'              │ /var/folders/q3/d699hkpx49xfy236ph7sltr40000gn/T/zombie-373ef077d6dbe13b0887f26f9ec9fa2f_-18674-P… │
│ s logs:            │                                                                                                    │
│ m                  │                                                                                                    │
└────────────────────┴────────────────────────────────────────────────────────────────────────────────────────────────────┘
ganesholi@Ganeshs-MacBook-Air xcav %

Someone please tell me how to figure our this issue?

1 Answer 1

1

You are right, the docs has to be updated with the new repository.

In the new repo go to the polkadot folder and follow the instructions there to generate the polkadot binary.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.